<div class="dialog stats-dialog">
  <div class="title">
    <h3>{{ 'NETWORK_DIALOG.STATISTICS' | translate }}</h3>
    <i class="icon-icomoon-remove" (click)="onClose()"></i>
  </div>
  <geodesign-loader *ngIf="isLoading" size="large"></geodesign-loader>
  <mat-tab-group [disableRipple]="true" *ngIf="!isLoading" [selectedIndex]="selectedTab">
    <mat-tab [label]="'DATA_PANEL.STOPS' | translate">
      <table matSort (matSortChange)="sortStopsData($event)">
        <tr>
          <th mat-sort-header="name">{{ 'STATISTICS.STOP_NAME' | translate }}</th>
          <th mat-sort-header="nbCourse">{{ 'STATISTICS.STOP_COURSE' | translate }}</th>
          <th mat-sort-header="sum">{{ 'STATISTICS.STOP_POP' | translate }}</th>
        </tr>
        <tr *ngFor="let stopStat of stopsStats; trackBy: trackByFn">
          <td>{{ stopStat.name }}</td>
          <td>{{ stopStat.nbCourse }}</td>
          <td>{{ stopStat.sum }}</td>
        </tr>
      </table>
    </mat-tab>
    <mat-tab [label]="'DATA_PANEL.LINES' | translate">
      <table matSort (matSortChange)="sortLineData($event)">
        <tr>
          <th mat-sort-header="name">{{ 'STATISTICS.NAME' | translate }}</th>
          <th mat-sort-header="length">{{ 'STATISTICS.LENGTH' | translate }}</th>
          <th mat-sort-header="roundTrip">{{ 'STATISTICS.ROUND_TIME' | translate }}</th>
          <th mat-sort-header="vehicule">{{ 'STATISTICS.NB_VEH' | translate }}</th>
          <th mat-sort-header="comKm">{{ 'STATISTICS.COM_KM' | translate }}</th>
          <th mat-sort-header="pop">{{ 'STATISTICS.POP' | translate }}</th>
        </tr>
        <tr *ngFor="let lineStats of linesStats; trackBy: trackByFn">
          <td>{{ lineStats.name }}</td>
          <td>{{ lineStats.length | formatNumber }}{{ 'UNIT.ABBR.METER' | translate }}</td>
          <td>{{ lineStats.roundTripTime | calcTime }}</td>
          <td>{{ lineStats.busNeed | number: '1.0-2' }} {{ 'UNIT.BUS' | translate }}</td>
          <td>{{ lineStats.commercialKm | convertKmInMeter | formatNumber }} {{ 'UNIT.ABBR.KILOMETER' | translate }}</td>
          <td>{{ lineStats.pop }}</td>
        </tr>
      </table>
    </mat-tab>
    <mat-tab [label]="'DATA_PANEL.NETWORKS' | translate">
      <table matSort (matSortChange)="sortNetworkData($event)">
        <tr>
          <th mat-sort-header="name">{{ 'STATISTICS.NAME' | translate }}</th>
          <th mat-sort-header="nbLines">{{ 'STATISTICS.NB_LINES' | translate }}</th>
          <th mat-sort-header="pop">{{ 'STATISTICS.POP' | translate }}</th>
          <th mat-sort-header="km">{{ 'STATISTICS.COM_KM' | translate }}</th>
          <th mat-sort-header="parc">{{ 'STATISTICS.NB_VEH' | translate }}</th>
        </tr>
        <tr *ngFor="let network of networks; trackBy: trackByFn">
          <td>{{ network.name }}</td>
          <td>{{ network.ligne }}</td>
          <td>{{ network.pop }}</td>
          <td>{{ network.km }}</td>
          <td>{{ network.parc }}</td>
        </tr>
      </table>
    </mat-tab>
  </mat-tab-group>
</div>
